Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.render.java2d
Class Java2DRendererConfigurator

    java.lang.Object
      org.apache.fop.render.AbstractRendererConfigurator
          org.apache.fop.render.PrintRendererConfigurator
              org.apache.fop.render.DefaultRendererConfigurator
                  org.apache.fop.render.java2d.Java2DRendererConfigurator

All Implemented Interfaces:
  IFDocumentHandlerConfigurator

Direct Known Subclasses:
  BitmapRendererConfigurator

    public class Java2DRendererConfigurator

extends DefaultRendererConfigurator

Configurerer for Java 2D renderer

Field Summary

Fields inherited from class org.apache.fop.render.AbstractRendererConfigurator
`userAgent`

Constructor Summary
`Java2DRendererConfigurator(FOUserAgent userAgent, RendererConfig.RendererConfigParser rendererConfigParser)` Default constructor

Method Summary
`void` | `configure(Renderer renderer)` Configure the Java 2D renderer.

Methods inherited from class org.apache.fop.render.DefaultRendererConfigurator
`getDefaultFontCollection`

Methods inherited from class org.apache.fop.render.PrintRendererConfigurator
`configure, createCollectionFromFontList, createDefaultInstance, getCustomFontCollection, getRendererConfig, getRendererConfig, getRendererConfig, setupFontInfo`

Methods inherited from class org.apache.fop.render.AbstractRendererConfigurator
`getType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Java2DRendererConfigurator

    public Java2DRendererConfigurator(FOUserAgent userAgent,
                                      RendererConfig.RendererConfigParser rendererConfigParser)

  Default constructor

  Parameters:
    `userAgent` - user agent

Method Detail

### configure

    public void configure(Renderer renderer)
                   throws FOPException

  Configure the Java 2D renderer.

  Overrides:
    `configure` in class `PrintRendererConfigurator`
  Parameters:
    `renderer` - java 2d renderer
  Throws:
    `FOPException` - fop exception

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2017 The Apache Software Foundation. All Rights Reserved.